﻿Public Class FormImagemTeste

    'Nome do ficheiro XML
    Private Filename As String = "teste.xml"

    ''' <summary>
    ''' Ler uma imagem de um ficheiro 
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        Dim originalImage As Image

        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            ' Open Image
            originalImage = Image.FromFile(OpenFileDialog1.FileName)

            ImagemPictureBox.Image = originalImage
            ImageFilenameTextBox.Text = OpenFileDialog1.FileName



        End If
    End Sub

    Private Sub FormImagemTeste_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        LerXML()
    End Sub

    Private Sub ClassImagensBindingNavigatorSaveItem_Click(sender As System.Object, e As System.EventArgs) Handles ClassImagensBindingNavigatorSaveItem.Click
        GravarXML()
    End Sub

    ''' <summary>
    ''' Ler o ficheiro XML 
    ''' </summary>
   
    Private Sub LerXML()
        Dim Imagens As ClassImagens = New ClassImagens
        Imagens = Imagens.LerXML(Filename)
        ClassImagensBindingSource.DataSource = Imagens
    End Sub

    ''' <summary>
    ''' Garvar Ficheiro XML
    ''' </summary>
    ''' <remarks></remarks>
    Private Sub GravarXML()

        Dim Imagens As ClassImagens = New ClassImagens

        ClassImagensBindingSource.EndEdit()

        For Each temp As ClassImagem In ClassImagensBindingSource
            Imagens.Add(temp)
        Next
        Imagens.WriteXML(Filename, Imagens)
    End Sub

   
End Class