﻿Public Class ClassImagens
    Inherits Collections.CollectionBase



    Public Sub Add(ByVal NewMyObject As ClassImagem)
        Me.List.Add(NewMyObject)
    End Sub

    Public Sub Remove(ByVal oldMyObject As ClassImagem)
        Me.List.Remove(oldMyObject)
    End Sub

    Default Public Property item(ByVal index As Integer) As ClassImagem
        Get
            Return Me.List.Item(index)
        End Get
        Set(ByVal value As ClassImagem)
            Me.List.Item(index) = value
        End Set
    End Property

    Public Shadows Sub clear()
        MyBase.Clear()
    End Sub

    Public Shadows Sub RemoveAt(ByVal index As Integer)
        Remove(item(index))
    End Sub

    ''' <summary>
    ''' Gravar o ficheiro XML
    ''' </summary>
    ''' <param name="Filename">Nome do ficheiro XML</param>
    ''' <param name="MyAlunos">Objeto a gravar</param>
    ''' <remarks></remarks>
    Sub WriteXML(Filename As String, MyAlunos As ClassImagens)

        Dim writer As New System.Xml.Serialization.XmlSerializer(GetType(ClassImagens))

        Dim file As New System.IO.StreamWriter(Filename)

        writer.Serialize(file, MyAlunos)

        file.Close()

    End Sub

    ''' <summary>
    ''' Ler o ficheiro XML
    ''' </summary>
    ''' <param name="Filename">Nome do ficheiro XML</param>
    ''' <returns>Objeto lido</returns>
    ''' <remarks></remarks>
    Function LerXML(Filename As String) As ClassImagens
        Dim Imagens As ClassImagens = New ClassImagens


        Try
            Dim reader As New System.Xml.Serialization.XmlSerializer(GetType(ClassImagens))

            Dim file As New System.IO.StreamReader(Filename)

            Imagens = CType(reader.Deserialize(file), ClassImagens)

            file.Close()

        Catch ex As Exception

        End Try

      
        Return Imagens
    End Function


End Class
